﻿using System;
using System.ComponentModel;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

using SFDataGridCrash.Models;
using SFDataGridCrash.ViewModels;

namespace SFDataGridCrash.Views
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class ItemDetailPage : ContentPage
    {
        Cereal cereal;

        public ItemDetailPage(Cereal cereal)
        {
            InitializeComponent();

            BindingContext = this.cereal = cereal;
        }

        public ItemDetailPage()
        {
            InitializeComponent();

            var item = new Cereal
            {
                name = "Wheaties",
                calories = 200
            };

            cereal = new Cereal();
            BindingContext = cereal;
        }
    }
}