﻿using System;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;
using SFDataGridCrash.Services;
using SFDataGridCrash.Views;

namespace SFDataGridCrash
{
    public partial class App : Application
    {
        public App()
        {
            InitializeComponent();

            // Syncfusion.Licensing.SyncfusionLicenseProvider.RegisterLicense(SyncfusionLicenseKey);

            DependencyService.Register<MockDataStore>();
            var page = new CerealPage();
            MainPage = new NavigationPage(page);
        }

        protected override void OnStart()
        {
            // Handle when your app starts
        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app resumes
        }
    }
}
